sensorfw: LocalSensorManagerInterface Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Attributes | Protected Slots | Protected Member Functions | Properties | List of all members
LocalSensorManagerInterface Class Reference

DBus interface to SensorManager instance. More...

`#include <sensormanager_i.h>`

Inheritance diagram for LocalSensorManagerInterface:

## Public Slots
QDBusReply< bool > | loadPlugin (const QString &name)
| Request sensor daemon to load plugin. More...
QDBusReply< int > | requestSensor (const QString &id)
| Request sensor deamon to start new session for sensor. More...
QDBusReply< bool > | releaseSensor (const QString &id, int sessionId)
| Request sensor deamon to release existing session. More...

## Signals
void | errorSignal (int error)
| Signal about occured errors. More...
void | loadPluginFinished ()
void | requestSensorFinished ()
void | releaseSensorFinished ()

## Public Member Functions
virtual | ~LocalSensorManagerInterface ()
| Destructor. More...
SensorManagerError | errorCode ()
| Get error code of occured remote error. More...
QString | errorString ()
| Get error description of occured remote error. More...

## Static Public Attributes
static const char * | staticInterfaceName
| Get name of the D-Bus interface for this class. More...

## Protected Slots
void | loadPluginFinished (QDBusPendingCallWatcher *watch)
void | requestSensorFinished (QDBusPendingCallWatcher *watch)
void | releaseSensorFinished (QDBusPendingCallWatcher *watch)

## Protected Member Functions
| LocalSensorManagerInterface (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)
| Constructor. More...

## Properties
SensorManagerError | errorCode
QString | errorString
int | errorCodeInt

## Detailed Description

DBus interface to SensorManager instance.

Definition at line 40 of file sensormanager_i.h.

## Constructor & Destructor Documentation

## ◆ ~LocalSensorManagerInterface()

virtual LocalSensorManagerInterface::~LocalSensorManagerInterface | ( |  | ) |
| virtual

Destructor.

## ◆ LocalSensorManagerInterface()

LocalSensorManagerInterface::LocalSensorManagerInterface | ( | const QString & | service,
|  | const QString & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |
| protected

Constructor.

Parameters

  service | DBus service name.
  path | DBus service path.
  connection | DBUs connection.
  parent | Parent object.

## Member Function Documentation

## ◆ errorCode()

SensorManagerError LocalSensorManagerInterface::errorCode | ( |  | ) |

Get error code of occured remote error.

Returns
  error code.

## ◆ errorSignal

void LocalSensorManagerInterface::errorSignal | ( | int | error | ) |
| signal

Signal about occured errors.

Parameters

  error | Occured error code.

## ◆ errorString()

QString LocalSensorManagerInterface::errorString | ( |  | ) |

Get error description of occured remote error.

Returns
  error description.

## ◆ loadPlugin

QDBusReply< bool > LocalSensorManagerInterface::loadPlugin | ( | const QString & | name | ) |
| slot

Request sensor daemon to load plugin.

Parameters

  name | plugin name.

Returns
  DBus reply.

## ◆ loadPluginFinished [1/2]

void LocalSensorManagerInterface::loadPluginFinished | ( |  | ) |
| signal

## ◆ loadPluginFinished [2/2]

void LocalSensorManagerInterface::loadPluginFinished | ( | QDBusPendingCallWatcher * | watch | ) |
| protectedslot

## ◆ releaseSensor

QDBusReply< bool > LocalSensorManagerInterface::releaseSensor | ( | const QString & | id,
|  | int | sessionId
| ) |  |
| slot

Request sensor deamon to release existing session.

Parameters

  id | sensor ID.
  sessionId | session ID.

Returns
  DBus reply.

## ◆ releaseSensorFinished [1/2]

void LocalSensorManagerInterface::releaseSensorFinished | ( |  | ) |
| signal

## ◆ releaseSensorFinished [2/2]

void LocalSensorManagerInterface::releaseSensorFinished | ( | QDBusPendingCallWatcher * | watch | ) |
| protectedslot

## ◆ requestSensor

QDBusReply< int > LocalSensorManagerInterface::requestSensor | ( | const QString & | id | ) |
| slot

Request sensor deamon to start new session for sensor.

Parameters

  id | sensor ID.

Returns
  DBus reply.

## ◆ requestSensorFinished [1/2]

void LocalSensorManagerInterface::requestSensorFinished | ( |  | ) |
| signal

## ◆ requestSensorFinished [2/2]

void LocalSensorManagerInterface::requestSensorFinished | ( | QDBusPendingCallWatcher * | watch | ) |
| protectedslot

## Member Data Documentation

## ◆ staticInterfaceName

const char* LocalSensorManagerInterface::staticInterfaceName
| static

Get name of the D-Bus interface for this class.

Returns
  Name of the interface.

Definition at line 61 of file sensormanager_i.h.

## Property Documentation

## ◆ errorCode

SensorManagerError LocalSensorManagerInterface::errorCode
| read

Definition at line 1 of file sensormanager_i.h.

## ◆ errorCodeInt

int LocalSensorManagerInterface::errorCodeInt
| read

Definition at line 1 of file sensormanager_i.h.

## ◆ errorString

QString LocalSensorManagerInterface::errorString
| read

Definition at line 1 of file sensormanager_i.h.

The documentation for this class was generated from the following file:

- qt-api/sensormanager_i.h